Path

ez.no / documentation / ez publish / technical manual / 4.x / installation / automated installation / requirements for doing an a...


Caution: This documentation is for eZ Publish legacy, from version 3.x to 5.x.
For 5.x documentation covering Platform see eZ Documentation Center, for difference between legacy and Platform see 5.x Architecture overview.

Requirements for doing an automated installation

This part of the 4.x documentation is for eZ Publish 4.0, only reference section is common for all eZ Publish 4.x versions as well as eZ Publish 5.x "LegacyStack", please select the version you are using for the most up to date documentation!

The requirements for an automated installation are the same as for the normal installation method. Please refer to the "Requirements for doing a normal installation" page for more information.

At the minimum, a web server, a PHP engine, and a database server must be installed. Additional server-side software is only necessary if the kick-start configuration file instructs the system to make use of such software. For example, "ImageMagick" has to be available if it has been specified as the primary image manipulation solution.

The next section explains how eZ Publish can be configured to do an automated installation of itself.

Sandro Groganz (08/04/2005 1:33 pm)

Ricardo Correia (17/04/2013 9:53 am)

Balazs Halasy, Svitlana Shatokhina, Julia Shymova, Geir Arne Waaler, Ricardo Correia


Comments

There are no comments.